Status: Closed Start date: 2011-06-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

redmine 1.2.0

Encoding::CompatibilityError in Welcome#index

Showing app/views/layouts/base.rhtml where line #64 raised:

incompatible character encodings: UTF-8 and GBK

Extracted source (around line #64):

61:

62:     <div id="content">

63:                 <%= render_flash_messages >

64:         <= yield >

65:         <= call_hook :view_layouts_base_content %>

66:                 <div style="clear:both;"></div>

67:     </div>

RAILS_ROOT: C:/redmine-1.2.0

---------------------full trace:

C:/redmine-1.2.0/app/views/layouts/base.rhtml:64:in `concat'

C:/redmine-1.2.0/app/views/layouts/base.rhtml:64:in `_run_rhtml_app47views47layouts47base46rhtml'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `block in render'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_view/base.rb:306:in `with_template'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_view/renderable.rb:30:in `render'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_view/template.rb:205:in `render_template'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_view/base.rb:265:in `render'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_view/base.rb:352:in `_render_with_layout'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_view/base.rb:262:in `render'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/base.rb:1252:in `render_for_file'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/base.rb:936:in `render'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `block in render_with_benchmark'

C:/redmine-1.2.0/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `block in ms'

C:/Ruby192/lib/ruby/1.9.1/benchmark.rb:309:in `realtime'

C:/redmine-1.2.0/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render_with_benchmark'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/base.rb:1328:in `default_render'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/base.rb:1334:in `perform_action'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in `call_filters'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/filters.rb:638:in `block in run_before_filters'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/filters.rb:189:in `call'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/filters.rb:189:in `call'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/filters.rb:635:in `run_before_filters'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/filters.rb:615:in `call_filters'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in `perform_action_with_filters'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `block in perform_action_with_benchmark'

C:/redmine-1.2.0/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `block in ms'

C:/Ruby192/lib/ruby/1.9.1/benchmark.rb:309:in `realtime'

C:/redmine-1.2.0/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_with_benchmark'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in `perform_action_with_rescue'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/flash.rb:151:in `perform_action_with_flash'

2025-05-01 1/2

https://www.redmine.org/issues/64
https://www.redmine.org/issues/64


C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `process'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process_with_filters'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/base.rb:391:in `process'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/base.rb:386:in `call'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:438:in `call'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in `dispatch'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in `_call'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130:in `block in build_middleware_stack'

C:/redmine-1.2.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

C:/redmine-1.2.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `block in call'

C:/redmine-1.2.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

C:/redmine-1.2.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cache'

C:/redmine-1.2.0/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `call'

C:/redmine-1.2.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in `call'

C:/Ruby192/lib/ruby/gems/1.9.1/gems/rack-1.1.0/lib/rack/head.rb:9:in `call'

C:/Ruby192/lib/ruby/gems/1.9.1/gems/rack-1.1.0/lib/rack/methodoverride.rb:24:in `call'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in `call'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:99:in `call'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call'

C:/Ruby192/lib/ruby/gems/1.9.1/gems/rack-1.1.0/lib/rack/lock.rb:11:in `block in call'

<internal:prelude>:10:in `synchronize'

C:/Ruby192/lib/ruby/gems/1.9.1/gems/rack-1.1.0/lib/rack/lock.rb:11:in `call'

C:/redmine-1.2.0/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `call'

C:/redmine-1.2.0/vendor/rails/railties/lib/rails/rack/static.rb:31:in `call'

C:/Ruby192/lib/ruby/gems/1.9.1/gems/rack-1.1.0/lib/rack/urlmap.rb:47:in `block in call'

C:/Ruby192/lib/ruby/gems/1.9.1/gems/rack-1.1.0/lib/rack/urlmap.rb:41:in `each'

C:/Ruby192/lib/ruby/gems/1.9.1/gems/rack-1.1.0/lib/rack/urlmap.rb:41:in `call'

C:/redmine-1.2.0/vendor/rails/railties/lib/rails/rack/log_tailer.rb:17:in `call'

C:/Ruby192/lib/ruby/gems/1.9.1/gems/rack-1.1.0/lib/rack/content_length.rb:13:in `call'

C:/Ruby192/lib/ruby/gems/1.9.1/gems/rack-1.1.0/lib/rack/handler/webrick.rb:48:in `service'

C:/Ruby192/lib/ruby/1.9.1/webrick/httpserver.rb:111:in `service'

C:/Ruby192/lib/ruby/1.9.1/webrick/httpserver.rb:70:in `run'

C:/Ruby192/lib/ruby/1.9.1/webrick/server.rb:183:in `block in start_thread'

Related issues:

Is duplicate of Redmine - Feature #4050: Ruby 1.9 support Closed 2009-10-18

History

#1 - 2011-06-14 04:42 - Toshi MARUYAMA

- Status changed from New to Closed

Redmine does not support Ruby 1.9, now.

Try #4050 patches.

#2 - 2011-06-14 04:43 - Toshi MARUYAMA

- Resolution set to Duplicate

#3 - 2011-10-25 12:14 - Justin Mccarthy
